> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uqpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Transfer

> Get a specific transfer by specifying the transfer id.



## OpenAPI

````yaml /global-account/v1.6/banking.yaml get /v1/transfer/{id}
openapi: 3.0.2
info:
  title: Banking API
  version: 0.0.1
  description: >
    UQPAY Banking API provides comprehensive banking and payment solutions for
    global money movement.


    ## Key Features

    - International payments and transfers

    - Multi-currency account management

    - Real-time currency conversion

    - Virtual account services

    - Fund deposit and withdrawal


    ## Authentication

    Use API keys to authenticate your client requests when utilizing UQPAY APIs.

    API keys are unique data strings used to authenticate users and enable
    access to privileged operations.

    Your API key should be kept confidential and secure at all times.


    ## Service Components

    - **Payout**: Create and manage international fund transfers to
    beneficiaries

    - **Payer**: Manage entities making payments and authorizing fund transfers

    - **Beneficiary**: Handle recipient information and bank details

    - **Balance**: View and manage multi-currency account balances

    - **Deposit**: Process incoming fund transfers

    - **Virtual Accounts**: Utilize local bank accounts in foreign currencies

    - **Conversion**: Execute currency exchange at competitive rates


    ## Getting Started

    1. Obtain API credentials

    2. Set up test environment using sandbox URL

    3. Implement authentication

    4. Start with basic operations


    ## Support

    For technical support and integration assistance, contact UQPAY support
    team.
  contact:
    name: UQPAY Support
    url: https://www.uqpay.com/support
    email: banking.tech@uqpay.com
  license:
    name: Proprietary
    url: https://www.uqpay.com/legal/api-terms
  termsOfService: https://www.uqpay.com/legal/terms
  x-api-id: banking-api-v1.6.0
  x-logo:
    url: https://uqpay.com/img/UQPAY_LogoAnimv2.gif
    backgroundColor: '#FFFFFF'
    altText: UQPAY Logo
  x-categories:
    - Banking
    - Payment Processing
    - Foreign Exchange
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox base URL.
  - url: https://api.uqpay.com/api
    description: Production base URL.
security: []
tags:
  - name: Balances
    description: >-
      View and manage available funds across different currencies in your
      account.
  - name: Transfers
    description: >-
      A wallet transfer resource is used for sending funds directly from your
      UQPAY account to a connected account.
  - name: Deposits
    description: >-
      Deposits are bank transfers made into your UQPAY Global Accounts for
      adding funds or collecting funds from third parties.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts function as local bank accounts in foreign currencies.
      They enable worldwide fund collection with account details that allow you
      to receive funds from various platforms. Virtual Accounts can also be used
      to top up your UQPAY balance.
  - name: Payout
    description: >-
      A Payout resource is created when you send funds to a beneficiary. It
      details the beneficiary, bank details, the amount being paid, its status,
      and other relevant information. You can create the payout using either
      direct beneficiary details or a previously created beneficiary ID.
  - name: Payers
    description: >-
      The payer is the party making the payout and authorizing the transfer of
      funds from their account to the beneficiary's account.
  - name: Beneficiaries
    description: >-
      The beneficiary is the recipient of the funds and is typically the party
      who will ultimately benefit from the payout.
  - name: Conversion
    description: Manage currency conversions and exchange rates for your transactions.
  - name: Exchange Rates
    description: >-
      Retrieve real-time exchange rates for a specified currency pair or all
      available pairs.
  - name: Global Accounts
    description: >-
      ⚠️ WARNING This API version is deprecated. Eventually, a deprecated API
      version becomes unsupported. Global Accounts are foreign currency accounts
      that function as local bank accounts.
  - name: Simulator
    description: Simulate deposit transactions on the sandbox environment.
paths:
  /v1/transfer/{id}:
    get:
      tags:
        - Transfers
      summary: Retrieve Transfer
      description: Get a specific transfer by specifying the transfer id.
      operationId: retrieve-transfer
      parameters:
        - $ref: '#/components/parameters/IdPath'
      responses:
        '200':
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          description: Retrieve a transfer successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferRetrieveResponse'
                title: TransferRetrieveResponse
      security:
        - XAuthToken: []
components:
  parameters:
    IdPath:
      name: id
      description: Universally unique identifier (UUID v4) of a resource.
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: b3d9d2d5-4c12-4946-a09d-953e82sed2b0
  headers:
    XResponseId:
      description: >-
        Universally unique identifier (UUID v4) for the response. Helpful for
        identifying a request when communicating with UQPAY support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    TransferRetrieveResponse:
      $ref: '#/components/schemas/TransferEntity'
    TransferEntity:
      type: object
      required:
        - transfer_id
        - reference_id
        - short_reference_id
        - source_account_name
        - destination_account_name
        - transfer_currency
        - transfer_amount
        - transfer_status
        - create_time
        - complete_time
        - created_by
      properties:
        transfer_id:
          type: string
          example: 94d48e21-0a99-480c-b1b7-2e6d34e6eb67
          description: A unique UUID identifier for the transfer transaction.
        reference_id:
          type: string
          example: P220406-LLCVLRM
          description: The reference generated by the system to identify the entity.
        short_reference_id:
          type: string
          example: P220406-LLCVLRM
          description: >-
            The shorter reference generated by the system to identify the
            entity.
        source_account_name:
          type: string
          example: UQPAY SOURCE
          description: The name of the account from which the funds are transferred.
        destination_account_name:
          type: string
          example: UQPAY DEST
          description: The name of the account receiving the transferred funds.
        transfer_currency:
          type: string
          example: USD
          description: >-
            The currency used for the transfer. Currency codes follow the [ISO
            4217](https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes)
            standard.
        transfer_amount:
          type: string
          example: '1000'
          description: The amount of money transferred.
        transfer_status:
          type: string
          example: pending
          description: >
            Indicates the current status of the transfer transaction. Valid
            values are:

            - `completed`: indicates that the transfer transaction has been
            successfully completed.

            - `failed`: indicates that the transfer transaction has failed.
          enum:
            - completed
            - failed
        create_time:
          type: string
          example: '2024-04-02T10:27:08+08:00'
          description: The timestamp when the request was initiated in the system.
        complete_time:
          type: string
          example: '0001-01-01T00:00:00Z'
          description: >-
            The timestamp when the request was successfully processed and marked
            as `COMPLETED`.
        created_by:
          type: string
          example: System
          description: The identifier of the user or system that initiated the transfer.
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: The API token for login provided by UQPay.

````